Bug 206521 - ATI driver rejects any resolutions higher than 640x480
ATI driver rejects any resolutions higher than 640x480
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-14 16:42 EDT by Pti-seb
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-03 11:49:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (84.17 KB, text/plain)
2006-09-14 16:48 EDT, Pti-seb
no flags Details

  None (edit)
Description Pti-seb 2006-09-14 16:42:26 EDT
Steps to Reproduce:
1. Set "radeon" friver in xorg.conf.
2. Set any display resolution in xorg.conf.
3. run startx
  
Actual results:
X starts in 640x480 resolution and ATI driver rejects any resolutions higher
than 640x480.

Additional info:
- monitor : iiyama LS902U Vision Master 1451 (17 pouces)
- graphic card : powercolor x800Xl PCie
- drivers : radeon
Comment 1 Pti-seb 2006-09-14 16:48:20 EDT
Created attachment 136302 [details]
Xorg log
Comment 2 Adam Jackson 2006-09-15 16:56:57 EDT
That log shows X starting at 800x600, not 640x480.

This might be a BIOS parsing bug that's cropped up before.
Comment 3 Pti-seb 2006-09-15 18:19:41 EDT
My motherboard is an ASUS A8N SLI-Deluxe.
Comment 4 Tom Horsley 2006-09-15 21:39:55 EDT
This could be the same problem I reported to xorg:

https://bugs.freedesktop.org/show_bug.cgi?id=7243

Adding this option to xorg.conf radeon driver section fixed me up:

Option	    "MonitorLayout" "TMDS, NONE"

I still see this problem in FC6t3, but at least it now defaults to 800x600
instead of 640x480, so the screen is big enough to see the buttons during
a graphical install :-).
Comment 5 Pti-seb 2006-09-16 07:15:11 EDT
Thanks Tom, if i add your option in my xorg.conf, X starting at 1600*1200. It
very good but now I can't siwtch to 1280*1021 or 1024*768 resolutions ...
Comment 6 Adam Jackson 2006-10-03 11:49:33 EDT
This should be fixed as of xorg-x11-drv-ati 6.6.2-4 and later.  Please test and
reopen this bug if this is still an issue for you.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.